Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		audacity 
Version:	1.3.4
Release:	3
License:	GNU/GPL 
URL:		http://audacity.sourceforge.net
Group:		Multimedia
Source0:	%{name}-src-%{version}.cvs.tar.bz2
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		audacity-1.3.4-buildfix.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	audacity is a free audio editor.
Requires:	portaudio
BuildRequires:	wxGTK-devel
BuildRequires:	libmad-devel
BuildRequires:	libsndfile-devel
BuildRequires:	flac-devel

%description
audacity is a free audio editor.
You can record sounds, play sounds, import and export WAV, AIFF, Ogg Vorbis, and MP3 files, and more.
Use it to edit your sounds using Cut, Copy and Paste (with unlimited Undo), mix tracks together, or
apply effects to your recordings. It also has a built-in amplitude envelope editor, a customizable
spectrogram mode and a frequency analysis window for audio analysis applications.
Built-in effects include Echo, Change Tempo, and Noise Removal, and it also supports VST
and LADSPA plug-in effects. 
For more details see: http://audacity.sourceforge.net

%post
update-desktop-database %_applications
ldconfig

%postun
update-desktop-database %_applications
ldconfig

%prep
#%setup -n %{name}-src-%{version}-beta
%setup -n %{name}
#%patch0 -p1

%build
./configure \
		--prefix=%_prefix \
		--mandir=%_mandir \
		--with-portaudio=v19 \
		--without-portmixer 
		
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps
mkdir -p $RPM_BUILD_ROOT%_applications
cp %{SOURCE2} $RPM_BUILD_ROOT%_applications
chmod 644 $RPM_BUILD_ROOT%_applications/%{name}.desktop
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-3
- rebuilt against libstdc++ 1:4.1.2
* Sun Dec 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-2
- update to cvs version 20071216
- disabled portmixer
- reenabled libmad support
* Sat Dec 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- Version update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-2
- rebuilt against wxGTK 2.8.4, flac 1.2.1
* Sun May 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Version udpate
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- rebuilt against portaudio v19 (give direct ALSA support)
* Tue Oct 31 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- Version update, switch to beta beta because of wx 2.6
* Wed May 24 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.4b-1
- Version Update
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.3-4
- rebuild for wxGTK 2.6.1-3
- added some additional configure options
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.3-3
- rebuild for wxGTK 2.6.1 
* Tue Feb 08 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.3-2
- rebuild (wxGTK), specfile improvements, added 1 patch  
* Mon Nov 22 2004 Christian Wasem <wasem@ccux-linux.de> 1.2.3-1
- Initial Release
